--[[
GridAlert : Aggro

Provides an audible notification when the player gains aggro on a mob.

Should probably be inversed for maintanks (or not ?)
]]

local GridAlertAggro = GridAlert:NewModule("GridAlertAggro")

function GridAlertAggro:RegisterAlerts()
	if self.core:HasAlert(self.name) then
		self.core:RemoveAlert(self.name)
	end
	self.core:SetAlertSoundOptions(self.name, nil, "Interface\\Addons\\GridAlert\\sounds\\aggro.wav", nil, 0.5)
	self.core.db.profile.triggers.alert_aggro.gain.player = self.name
end

function GridAlertAggro:OnInitialize()
	self.super.OnInitialize(self)

	self:RegisterAlerts()
end
